#ifndef __dx7ctrlr__
#define __dx7ctrlr__

#include "public.sdk/source/vst/vsteditcontroller.h"
#include "pluginterfaces/base/ustring.h"
#include "pluginterfaces/base/ibstream.h"
#include "controlParameter.h"

namespace Steinberg {
    namespace Vst {
        
        class DX7Controller: public EditControllerEx1 {
        public:
            static FUnknown* createInstance(void* context) {
                return(IEditController*)new DX7Controller;
            }
            tresult PLUGIN_API initialize(FUnknown* context);
            
            tresult PLUGIN_API setComponentState(IBStream* state); 
            
            tresult PLUGIN_API setState(IBStream* state);
            tresult PLUGIN_API getState(IBStream* state);
        private:
            void createUnit(int32 id, const TChar* uName);
            uchar paramCount;
        };
        
    }
}

#endif
