#include "dx7proc.h"
#include "dx7ctrlr.h"
#include "dx7cids.h"
#include "version.h"

#include "public.sdk/source/main/pluginfactoryvst3.h"

#define stringPluginName "dx7ctrl"

bool InitModule() {
	return true; 
}

bool DeinitModule() {
	return true; 
}

using namespace Steinberg::Vst;

BEGIN_FACTORY_DEF ("Shadi Abdu-Rahman", 
                   "", 
                   "mailto:dt07sa6@student.lth.se")

//---First Plug-in included in this factory-------
// its kVstAudioEffectClass component
DEF_CLASS2 (INLINE_UID_FROM_FUID(DX7ProcessorUID),
            PClassInfo::kManyInstances,
            kVstAudioEffectClass,
            stringPluginName,
            Vst::kDistributable,
            Vst::PlugType::kInstrumentExternal,
            FULL_VERSION_STR,
            kVstVersionString,
            Steinberg::Vst::DX7Processor::createInstance)

// its kVstComponentControllerClass component
DEF_CLASS2 (INLINE_UID_FROM_FUID (DX7ControllerUID),
            PClassInfo::kManyInstances, 
            kVstComponentControllerClass,
            stringPluginName "Controller",
            0,
            "",
            FULL_VERSION_STR,
            kVstVersionString,
            Steinberg::Vst::DX7Controller::createInstance)

END_FACTORY
