#ifndef _dx7connection_h
#define _dx7connection_h

#include "ftypes.h"
#include "ivstevents.h"

#include "ftd2xx.h"

#include "processParameter.h"
#include "dx7protocol.h"

#define BUF_SIZE        6
#define MAX_DEVICES		9

namespace Steinberg {
    namespace Vst {
        
        class DX7Connection {
        public:
            DX7Connection();
            virtual ~DX7Connection();
            void writeParameter(ProcessParameter* param); 
            void writeEvent(Event event);
            bool isOnline();
        
        protected:
            void setup(void);
            void quit(void);
            
            FT_STATUS ftStatus;
            FT_HANDLE ftHandle;
        };
    }
}

#endif
